force next line in a large text box....

Started by Hypersonic, December 12, 2009, 01:21:16 PM

Previous topic - Next topic

Hypersonic

the set text in a text box needs to be a long string.... I would like to make a large text box populate and be able to control when the
next line is started... as in the below:

1. this is first line of text
2. this is second line
3. third line
4. etc.

but I don't know if there is a special character to control this?

Thanks!

BazzaCAD

a.k.a.
Barry Ralphs
barryDOTralphsATgmailDOTcom

Hypersonic


Kerry


I don't know of a way.

Can you use a listbox ??

Perfection is not optional.
My other home is TheSwamp

Kerry


Something like :
Code (autolisp) Select

(vl-load-com)
(command "OPENDCL")

;;;---------------------------------------------------------------------------
;;;

;|<<MAIN>>|;

(defun c:Hype1 (/ dialogreturn)
  (dcl_project_load "HYPE-01" T)
  (dcl_form_show HYPE-01_F)
  ;;------ 
  (princ)
)

;;;---------------------------------------------------------------------------
;;;
;|<<OPENDCL Handlers Event>>|;

;;;-------------------------------------------
(defun c:Hype-01_F_Populate_OnClicked (/)
  (setq longTextString (list
                         "1. this is first line of text"                         
                         "2. this is second line"
                         "3. third line"
                         "4. etc."
                        )
  )
  (dcl_ListBox_AddList Hype-01_F_ListBox1 longTextString)
)

;;;-------------------------------------------
(defun c:Hype-01_F_ListBox1_OnSelChanged (ItemIndexOrCount Value /)
  (dcl_MessageBox Value "Selected Value from ListBox" 2 2)
)

;;;---------------------------------------------------------------------------
;;;
(princ)



Refer attachments:
Perfection is not optional.
My other home is TheSwamp

Hypersonic


Fred Tomke

Fred Tomke
Dipl.-Ing. (FH) Landespflege

[ landscaper - landscape developer - digital landscape and urban design]

Hypersonic


Hypersonic

Thanks Fred, that might have been easier.....  ::)